
Foreman - Feature #2125

SELinux support

01/14/2013 05:11 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Sam Kottler   

Category: Security   

Target version: 1.2.0   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently foreman and SELinux enforcing mode don't play nice together. It would be nice if they did.

Associated revisions

Revision 3129deef - 03/19/2013 01:36 PM - Sam Kottler

Fixes #2125: add support for running Foreman with selinux enabled

History

#1 - 01/22/2013 04:28 PM - Glen Ogilvie

I wrote some SELinux rules to get this to work on a server I am running Foreman on.

They might be allowing too much access, but better than turning of SELinux.

Let me know if you would like them attached to this ticket.  They are for RHEL6

#2 - 01/22/2013 04:42 PM - Ewoud Kohl van Wijngaarden

I'm certainly interested. Though my SELinux knowledge is limited I'm sure we can get people to review it.

#3 - 03/05/2013 03:00 PM - Sam Kottler

- Category set to Security

- Assignee set to Sam Kottler

- Target version set to 1.2.0

- Difficulty set to medium

I'm working on this now, in fact it's nearly done!

My plan is to email the developer list with a beta package for foreman core, but there will also be smart proxy packages available soon.

#4 - 03/25/2013 09:06 AM - Sam Kottler

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"3129deefe7bb5140f48d2b50eab84c0322089ea5".
